# comment out when not pre-release
#define prel	beta

%define rel	1

Name:		kshutdown
Version:	6.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Advanced shut down utility for Plasma
Summary(fr):	Un outils avancé de gestion de l'extinction pour Plasma
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://kshutdown.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/KShutdown/%{version}%{?prel:-%prel}/%{name}-source-%{version}%{?prel:-%prel}.zip
Patch0:		kshutdown-5.92-mga-desktop-file.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IdleTime)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6NotifyConfig)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6XmlGui)


%description
KShutDown is an advanced shut down utility for Plasma.

Features:
- Shut Down (logout and halt the system)
- Reboot (logout and reboot the system)
- Lock Screen (lock the screen using a screen saver)
- Logout (end the session and logout the user)
- Extras (user commands)
- Wizard
- Time and delay options
- Command line support
- System tray
- Sounds
- Kiosk support
- And more...

%files -f %{name}.lang
%doc TODO ChangeLog README.html
%license LICENSE
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/*/%{name}.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html


%changelog
* Fri Jun 13 2025 daviddavid <daviddavid> 6.0-1.mga10
+ Revision: 2190760
- new version: 6.0

* Wed Nov 13 2024 daviddavid <daviddavid> 5.92-0.beta.2.mga10
+ Revision: 2114738
- rebuild for arm

* Tue Nov 12 2024 daviddavid <daviddavid> 5.92-0.beta.1.mga10
+ Revision: 2114638
- new version: 5.92-beta
- switch to Qt6/KF6

* Wed Apr 06 2022 umeabot <umeabot> 5.2-4.mga9
+ Revision: 1846090
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 5.2-3.mga8
+ Revision: 1658812
- Rebuild for new Qt5
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 5.2-2.mga8
+ Revision: 1541782
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 daviddavid <daviddavid> 5.2-1.mga8
+ Revision: 1475195
- new version: 5.2
+ wally <wally>
- build with new cmake macros

* Tue Aug 20 2019 daviddavid <daviddavid> 5.0-2.mga8
+ Revision: 1430407
- add gentoo patch to fix build with cmake 3.15

* Sun May 12 2019 daviddavid <daviddavid> 5.0-1.mga7
+ Revision: 1397472
- new version: 5.0
- rediff mga-desktop-file patch

* Sun Mar 31 2019 umeabot <umeabot> 4.2-3.mga7
+ Revision: 1382880
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.2-2.mga7
+ Revision: 1298661
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 daviddavid <daviddavid> 4.2-1.mga7
+ Revision: 1173291
- new version: 4.2

* Sun Jul 23 2017 daviddavid <daviddavid> 4.1-0.beta.1.mga7
+ Revision: 1129013
- new version: 4.1_beta

* Thu Sep 01 2016 daviddavid <daviddavid> 4.0-1.mga6
+ Revision: 1049714
- new version: 4.0 (final)
- rename and rediff mga-desktop-file patch

* Mon May 02 2016 daviddavid <daviddavid> 3.99.1-0.beta.1.mga6
+ Revision: 1008509
- new version: 3.99.1_beta

* Fri Feb 12 2016 daviddavid <daviddavid> 3.99-0.beta.1.mga6
+ Revision: 958627
- new version: 3.99_beta based on KF5
- switch build to Qt5/kf5
- improve description and summary
- add patch0 to fix desktop file

* Thu Feb 04 2016 umeabot <umeabot> 3.2-4.mga6
+ Revision: 936163
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2-3.mga5
+ Revision: 745720
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-2.mga5
+ Revision: 681212
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 juancho <juancho> 3.2-1.mga5
+ Revision: 670311
- Updated to version 3.2

* Sat Oct 19 2013 umeabot <umeabot> 3.0-2.mga5
+ Revision: 529544
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 3.0-1.mga4
+ Revision: 452428
- new version 3.0 final

* Mon Jun 17 2013 fwang <fwang> 3.0-0.beta8.1.mga4
+ Revision: 444022
- new version 3.0 beta8

* Sat Jan 12 2013 umeabot <umeabot> 3.0-0.beta4.2.mga3
+ Revision: 356490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 juancho <juancho> 3.0-0.beta4.1.mga3
+ Revision: 318402
- Updated to 3.0beta4

* Fri Mar 02 2012 fwang <fwang> 3.0-0.beta3.1.mga2
+ Revision: 216739
- drop merged patch
- new version 3.0 beta3

* Sat Dec 31 2011 juancho <juancho> 3.0-0.beta2.1.mga2
+ Revision: 189164
- Updated to 3.0beta2

* Tue Dec 13 2011 juancho <juancho> 2.0-2.mga2
+ Revision: 181346
- Added patch to fix build against our patched kworkspace.{h,cpp} that changes the return type of requestShutDown function (patch included on upcoming KDE 4.8).
- Fixed source tag (Source -> Source0)
- Removed defattr
- Remove buildroot references in %%build and %%clean

* Tue Jun 14 2011 mikala <mikala> 2.0-1.mga2
+ Revision: 106086
- Follow kde spec layout
- clean spec
- imported package kshutdown


* Mon Jun 13 2011 Olivier Delaune <olivier.delaune@mageia.org> 2.0-1.mga1
- Specfile adaptations for Mageia